#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libgnome-games-support
Version		:	1.8.2
Release		:	14.4.0.0%{?dist}
Summary		:	Small library intended for internal use by GNOME Game

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPL-3.0
URL		:	https://github.com/GNOME/libgnome-games-support

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	autoconf-archive
BuildRequires	:	gtk3+
BuildRequires	:	libgee
BuildRequires	:	vala

#-----------------------------------------------------------------------------
%description
'%{name}' is a small library intended for internal use
by GNOME Games, but it may be used by others.

#-----------------------------------------------------------------------------
%files			-f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING NEWS README
%{_includedir}/gnome-games-support-1/%{name}.h
%{_libdir}/%{name}-1.so*
%{_libdir}/pkgconfig/%{name}-1.pc
%{_datadir}/vala//vapi/%{name}-1.vapi

#=============================================================================
%prep
%setup -q
#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir_p} build
meson                                                   \
        --prefix=%{_prefix}                             \
        --includedir=%{_includedir}                     \
        --libexecdir=%{_libexecdir}                     \
        --sysconfdir=%{_sysconfdir}                     \
        --bindir=%{_bindir}                             \
        --sbindir=%{_sbindir}                           \
        --mandir=%{_mandir}                             \
        --libdir=%{_libdir}                             \
        --infodir=%{_infodir}                           \
	build

meson							\
	compile						\
	-C build


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}


DESTDIR=%{buildroot}					\
meson							\
	install						\
	-C build

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

%find_lang %{name}
#-----------------------------------------------------------------------------
%changelog
